Description

http://canvasjs.com/html5-javascript-bar-chart/

http://imaginea.github.io/uvCharts/index.html

http://www.chartjs.org/docs/#line-chart-chart-options

History

#1 - 03/04/2016 04:26 AM - Luke Murphey

Chartist example:

new Chartist.Bar('.ct-chart', {

  labels: ['νόμον', 'νόμος', 'νόμου', 'νόμῳ'],

  series: [

    [16, 7, 8, 4]

  ]

}, {

  reverseData: true,

  horizontalBars: true

}).on('draw', function(data) {

  if(data.type === 'bar') {

    data.element.attr({

      style: 'stroke-width: 60px'

    });

  }

});

#2 - 03/04/2016 04:26 AM - Luke Murphey

Canvas.js:

<!DOCTYPE HTML>

<html>

<head>  

    <script type="text/javascript">

    window.onload = function () {

        var chart = new CanvasJS.Chart("chartContainer", {

05/06/2024 1/3

http://canvasjs.com/html5-javascript-bar-chart/
http://imaginea.github.io/uvCharts/index.html
http://www.chartjs.org/docs/#line-chart-chart-options


            title:{

                text:"Word Frequency"                

            },

                        animationEnabled: true,

            axisX:{

                interval: 1,

                gridThickness: 0,

                labelFontSize: 10,

                labelFontStyle: "normal",

                labelFontWeight: "normal",

                labelFontFamily: "Lucida Sans Unicode" 

            },

            axisY2:{

                gridColor: "rgba(32,32,32,.1)" 

            },

            data: [

            {     

                type: "bar",

                name: "companies",

                axisYType: "secondary",

                color: "#BF1010",                

                dataPoints: [

                {y: 16, label: "νόμον"  },

                {y: 7, label: "νόμος"  },

                {y: 8, label: "νόμου"  },

                {y: 4, label: "νόμῳ"  },

                ]

            }

            ]

        });

chart.render();

}

</script>

<script type="text/javascript" src="/assets/script/canvasjs.min.js"></script>

</head>

<body>

    <div id="chartContainer" style="height: 300px; width: 100%;">

    </div>

</body>

</html>
#3 - 03/04/2016 04:28 AM - Luke Murphey

Using D3 3.5.16

#4 - 03/04/2016 07:38 AM - Luke Murphey

Using highcharts 4.2.3: http://www.highcharts.com/download

#5 - 03/04/2016 07:39 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

05/06/2024 3/3

http://www.highcharts.com/download
http://www.tcpdf.org

